Gets a batch job.

### HTTP request

`GET https://storagebatchoperations.googleapis.com/v1/{name=projects/*/locations/*/jobs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The `name` of the job to retrieve. Format: `projects/{projectId}/locations/global/jobs/{jobId}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/storage/docs/storagebatchoperations/reference/rest/v1/projects.locations.jobs#Job`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `storagebatchoperations.jobs.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).